package com.uas.platform.b2b.publicapi.service;

import com.uas.platform.b2b.publicapi.model.Turnover;

import java.util.List;

/**
 * ERP查询平台贸易数据接口
 *
 * Created by hejq on 2018-05-31.
 */
public interface TurnoverService {

    /**
     * 查询年度代采订单交易额
     *
     * @return
     */
    List<Turnover> findSubstitute();

    /**
     * B2B年度代采订单统计RMB
     *
     * @return
     */
    List<Turnover> findSubstituteByRMB();

    /**
     * B2B年度交易额折合RMB
     * @return
     */
    List<Turnover> findRMBOrderAmount();

    /**
     *B2B商务本年度交易总金额
     *
     * @return
     */
    List<Turnover> findOrderAmount();

    /**
     * 上月订单交易额汇总
     *
     * @return
     */
    List<Turnover> findLastMonthOrderAmount();

    /**
     * 上月订单数
     *
     * @return
     */
    List<Turnover> findLastMonthOrderCount();

    /**
     * 本月订单交易额汇总
     *
     * @return
     */
    List<Turnover> findThisMonthOrderAmount();

    /**
     * 本月订单数
     *
     * @return
     */
    List<Turnover> findThisMonthOrderCount();
}
